ember-aws-ehipster
==============================================================================

This addon simplify the generation of code for model build with JDL Studio https://start.jhipster.tech/jdl-studio/ 
It also guide you to set up a JSON-API server on top of AWS API Gateway, Lambda and DynamoDB. 


Installation
------------------------------------------------------------------------------

```
ember install ember-aws-ehipster
```


Usage
------------------------------------------------------------------------------

For generating a application, first use the standard command : 
```
    ember new test-ember-aws-ehipster --no-welcome
    cd test-ember-aws-ehipster
    ember install ember-aws-ehipster
```

Then generate a few entity through provided blueprints using the same syntax as the model blueprint :
```
    ember g entity-factory blog title:string content:string order:number isVisible:boolean
    ember g entity-factory post title:string content:string order:number visible:boolean
```

Contributing
------------------------------------------------------------------------------

### Installation

* `git clone <repository-url>`
* `cd ember-aws-ehipster`
* `npm install`

### Linting

* `npm run lint:js`
* `npm run lint:js -- --fix`

### Running tests

* `ember test` – Runs the test suite on the current Ember version
* `ember test --server` – Runs the test suite in "watch mode"
* `ember try:each` – Runs the test suite against multiple Ember versions

### Running the dummy application

* `ember serve`
* Visit the dummy application at [http://localhost:4200](http://localhost:4200).

For more information on using ember-cli, visit [https://ember-cli.com/](https://ember-cli.com/).

License
------------------------------------------------------------------------------

This project is licensed under the [MIT License](LICENSE.md).
