This blueprint uses the same signature as the model blueprint for defining the list of attributes of the entity and their type. 
The following attribute types are supported: :array :boolean :date :object :number :string :your-custom-transform :belongs-to: :has-many:

    ember model <name> <attr:type>
        Generates an ember-data model.
        You may generate models with as many attrs as you would like to pass. The following attribute types are supported:
        <attr-name>
        <attr-name>:array
        <attr-name>:boolean
        <attr-name>:date
        <attr-name>:object
        <attr-name>:number
        <attr-name>:string
        <attr-name>:your-custom-transform
        <attr-name>:belongs-to:<model-name>
        <attr-name>:has-many:<model-name>

        For instance: `ember generate model taco filling:belongs-to:protein toppings:has-many:toppings name:string price:number misc`
        would result in the following model:


        import DS from 'ember-data';

        export default DS.Model.extend({
          filling: DS.belongsTo('protein'),
          toppings: DS.hasMany('topping'),
          name: DS.attr('string'),
          price: DS.attr('number'),
          misc: DS.attr()
        });